DEBUGCC(1)

NAME
debugcc - inspect Qualcomm clock controller configuration

SYNOPSIS
debugcc <-p platform> [-b block] <-a | -l | clk>
<platform>-debugcc [-b block] <-a | -l | clk>

DESCRIPTION
debugcc is a utility for inspecting and dumping clock controller information on Qualcomm SoCs. It provides access to clock tree data exposed by the debug clock controller framework and can list all known clocks, dump all clock states or query a specific clock.

The tool requires specifying a supported platform unless invoked via a symlink of the form <platform>-debugcc, in which case the platform is inferred automatically.

OPTIONS

-p platform
    Select the target platform. Mandatory unless the binary was invoked through a <platform>-debugcc symlink.

-b block
    Specify a clock controller block to inspect.

-a  Dump all clocks for the platform.

-l  List all available clocks for the platform.

clk Query a specific clock by name.

SUPPORTED PLATFORMS
The following platforms are supported:

ipq8064
msm8936
msm8974
msm8994
msm8996
msm8998
qcm2290
qcs404
sc7180
sc8280xp
sdm845
sm6115
sm6125
sm6350
sm6375
sm8150
sm8250
sm8350
sm8450
sm8550
sm8650

EXAMPLES

Dump all clocks on sdm845:

debugcc -p sdm845 -a

List clocks on sm8250:

debugcc -p sm8250 -l

Query a specific clock:

debugcc -p sc7180 gcc_uart1_clk

Using a platform symlink:

sdm845-debugcc -a

AUTHOR
Written by Linaro Ltd.

LICENSE
BSD-3-Clause.